<template>
  <div>
    <meta name="viewport" content="width=device-width,initial scale=" />
    <link rel="stylesheet" href="https://www.w3schools.com/lib/w3.css" />
    <div class="banner-container">
      <carousel/>
    </div>

    <div class="home-page">
      <div class="spl-banner">
        <img class="yellow" src="../assets/banner-Yellow_1.jpg" alt="" />
        <img class="blue" src="../assets/Blue-Banner-new.jpg" alt="" />
      </div>
      <div><p class="box-heading">Hot Selling Products</p></div>
      <div class="box">
        <div class="crakers_list">
          <ProductBox
            v-for="product in products"
            :key="product.FilterName1"
            :filterImg="product.url"
            :filterName1="product.FilterName1"
            :filterName2="product.FilterName2"
            :filterPrice="product.price"
          >
          </ProductBox>
        </div>
        <div class="btn">
          <v-btn
            color="#212121"
            dark
            x-large
            @click="$router.push({ path: '/product' })"
          >
            View all
          </v-btn>
        </div>
      </div>
      <div class="banner">
        <img src="../assets/Gift-banner.jpg" alt="" class="sales-banner" />
      </div>
      <div class="service">
        <p class="heading">Our services</p>
        <hr />
        <div class="delivery-img">
          <img src="../assets/delivery.png" alt="" class="delivery" />
        </div>
        <p class="heading2">Quick Delivery</p>
        <hr class="heading_hr" />
        <p class="content">Delivery at your convenient Day.</p>
        <p class="content1">
          Prakash Crakers-No.1 Quality Sivakasi Crackers Wholesale Manufacturers
          & Dealers
        </p>
        <div class="para-container">
          <p class="para" v-scrollanimation>
            Diwali without a sparkler won’t be fantastic. Not just Diwali, it is
            used on the carnivals like Marriage, and New Year. It brings your
            festival a sound feast. What makes crackers even more appealing
            these days is that there is a platform for you to buy crackers
            online?
          </p>
          <p class="para" v-scrollanimation>
            If you are interested to buy crackers online, Crackers shope
            –Sivakasi Crackers Wholesale Dealers is the right platform. As we
            are the leading crackers wholesale manufacturers in Sivakasi, we
            deliver crackers directly from Sivakasi at affordable price.
          </p>
          <p class="para" v-scrollanimation>
            We have gift boxes of crackers like ground chakkars, rockets,
            flowerpots, sparklets, palm leaf crackers, skyshots and other
            various types of crackers.
          </p>
          <p class="para" v-scrollanimation>
            Buy Crackers Sivakasi online at a best price in PrakashCrakers.com
            and enjoy your Diwali with sounds of crackers.
          </p>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import ProductBox from "../views/ProductBox.vue";
import carousel from '../views/carousel.vue'
export default {
  components: {
    ProductBox,
    carousel
  },
  data() {
    return {
      items: [
        {
          src: "https://crackersphotos.s3.amazonaws.com/assets/diwali1.jpg",
        },
        {
          src: "https://crackersphotos.s3.amazonaws.com/assets/s8.jpeg",
        },
        {
          src: "https://crackersphotos.s3.amazonaws.com/assets/s9.jpeg",
        },
        {
          src: "https://crackersphotos.s3.amazonaws.com/assets/diwali.jpg",
        },
      ],
      products: [
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb1",
          FilterName2: "Blaster1",
          price: "10rs",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb2",
          FilterName2: "Blaster2",
          price: "11rs",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb3",
          FilterName2: "Blaster3",
          price: "12rs",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb4",
          FilterName2: "Blaster4",
          price: "13rs",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb5",
          FilterName2: "Blaster4",
          price: "13rs",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb6",
          FilterName2: "Blaster5",
          price: "$14",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb6",
          FilterName2: "Blaster5",
          price: "$14",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb6",
          FilterName2: "Blaster5",
          price: "$14",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb6",
          FilterName2: "Blaster5",
          price: "$14",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb6",
          FilterName2: "Blaster5",
          price: "$14",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb6",
          FilterName2: "Blaster5",
          price: "$14",
        },
        {
          url:
            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR-NZDXskk1C98Chv48DL9rLyaEmwE_GfPu5g&usqp=CAU",
          FilterName1: "Bomb6",
          FilterName2: "Blaster5",
          price: "$14",
        },
      ],
    };
  },
};
</script>
<style scoped>

.banner-container {
  height: 110vh;
  padding-top: 42px;
}
.sales-banner {
  width: 100%;
}
.main-banner {
  width: 100%;
}
.crakers_list {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  /* flex-flow: row nowrap; */
  /* justify-content: space-evenly; */
  margin: 20px auto;
  height: auto;
}
.box-heading {
  text-transform: uppercase;
  font-weight: bolder;
  font-size: 2rem;
  padding: 0.5rem;
  /* border-bottom: 2px solid #000000cc; */
  margin-top: 35px;
  margin-bottom: 20px;
  text-align: center;
}
.btn {
  margin: 10px auto 40px auto;
  position: relative;
  /* width: 150px; */
  width: 100%;
  /* align-items: center; */
}
.banner {
  /* margin-left: 6%; */
  margin-top: 10px;
  margin-bottom: 10px;
  width: 100%;
  margin: auto;
}
.service {
  width: 90%;
  margin: auto;
}
.delivery-img {
  width: 100px;
  height: 100px;
  margin: auto;
}
.delivery {
  width: 100px;
  height: 100px;
  margin: auto;
  /* margin-left: 44%; */
}
.heading {
  text-transform: uppercase;
  font-weight: bolder;
  font-size: 1.3rem;
  padding: 0.5rem;
  border-bottom: 2px solid #757575cc;
  margin-top: 3rem;
  margin-bottom: 0rem;
  /* text-align: center; */
  /* width: 160px; */
}
hr {
  border: 1px solid orange;
  margin-top: -2px;
  width: 160px;
}
.heading2 {
  text-transform: uppercase;
  font-weight: bolder;
  font-size: 1rem;
  /* text-decoration: underline; */
  /* padding: 0.5rem; */
  text-align: center;
  margin: 0px;
}
.heading_hr {
  border: 2px solid orange;
  margin: auto;
  width: 50px;
}

.content {
  text-transform: uppercase;
  /* font-weight: bold; */
  font-size: 1rem;
  padding: 0.5rem;

  text-align: center;
}
.content1 {
  text-transform: uppercase;
  font-weight: 400;
  font-size: 1.7rem;
  /* padding: 0.5rem; */
  text-align: center;
  margin: auto;
  /* width: 95%; */
  /* margin-left: 5%; */

  text-align: left;
}
.para-container {
  width: 96%;
  margin: auto;
}
.para {
  /* text-indent: 50px; */
  /* text-align: justify; */
  text-align: center;
  letter-spacing: -0.5px;
  color: #7c7c7c;
  font-size: 15px;
}
/* .before-enter{
opacity: 1;
transform: translateY(-10px);
transition: all 2s ease-out;
}
.enter{
opacity: 0;
transform: translateY(10px);
} */
.spl-banner {
  margin: auto;
  width: 1200px;
}
.spl-banner img {
  width: 550px;
  margin: 0px 25px;
}
.spl-banner .yellow {
  margin-top: 40px;
  margin-bottom: 20px;
}
.spl-banner .blue {
  margin-top: 20px;
  margin-bottom: 40px;
}
@media screen and (min-width: 1000px) {
 .home-page {
  width: 1345px;
  margin: auto;
}
}
</style>
